Favicon

You are here: Home > API Reference > No category > Keystore > Delete key store

Delete key store

Permanently removes a key store and invalidates associated references.

DELETE
/v1/key-store/:keyStoreKey
Copy to clipboard

Delete key store

Permanently removes a key store and invalidates associated references.

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
keyStoreKey string
required
URL path parameter identifying which key-value store entry to retrieve, update, or delete.
≤ 128 characters · Match pattern: ^^(?!admin)[a-z][a-z0-9-_]+[a-z0-9]$

Responses

200 Response application/json
status boolean required
data object required
delete any required
{
    "status": true,
    "data": {
        "delete": "string"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}